Probatix Specimen Collection Kit API v1
Retrieves a SpecimenCollectionKitOrder resource.
Retrieves a SpecimenCollectionKitOrder resource.
Retrieves a SpecimenCollectionKitOrder resource.
Authorization
apiKey X-API-TOKEN<token>
In: header
Path Parameters
id*string (uuid)
SpecimenCollectionKitOrder identifier
Header Parameters
accept-language?string
Language for Errors and Translatable properties
Allowed values: "de", "en", "fr"
Response Body
curl -X GET "https://example.com/sck/v1/orders/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "accept-language: de"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "kits": [ "/entity/1" ], "contact": { "firstName": "string", "lastName": "string", "email": "user@example.com", "phone": "string" }, "shippingAddress": { "address1": "string", "address2": "string", "zip": "string", "city": "string", "countryCode": "DE", "firstName": "string", "lastName": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "phone": "string", "company": "string", "name": "string" }, "metadata": { "property1": true, "property2": true }, "status": "new", "createdAt": "2019-08-24T14:15:22Z", "fulfilledAt": "2019-08-24T14:15:22Z", "outboundShipment": { "provider": "DHL", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "trackingCode": "string", "url": "string", "shipmentStatus": "confirmed", "providerStatus": "string", "rawProviderHistory": [ "string" ] }, "returnShipment": { "provider": "DHL", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "trackingCode": "string", "url": "string", "shipmentStatus": "confirmed", "providerStatus": "string", "rawProviderHistory": [ "string" ] }}Creates a SpecimenCollectionKitOrderInput resource. POST
Create an SCK order. `productIds` accepts a UUID, canonical ID, or `/sck/v1/products/{id}` IRI for each product. Canonical IDs are recommended because product UUIDs are not guaranteed to match between demo and production environments.
Retrieves the collection of SpecimenCollectionKitProduct resources. GET
Retrieves the collection of SpecimenCollectionKitProduct resources.